import java.net.InetAddress;
import java.net.DatagramPacket;

/**
 * Created by IntelliJ IDEA.
 * User: mopar
 * Date: Jan 29, 2007
 * Time: 11:07:02 PM
 * To change this template use File | Settings | File Templates.
 */
public class Client {

    private InetAddress myAddress;
    private int myPort;


    public Client(InetAddress myAddress, int myPort) {
        this.myAddress = myAddress;
        this.myPort = myPort;
    }

    public DatagramPacket getPacket(DatagramPacket packet) {
        packet.setAddress(myAddress);
        packet.setPort(myPort);
        return packet;
    }

    public String toString() {
        return myAddress.getHostAddress() + ":" + myPort;
    }

    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Client client = (Client) o;

        if (myPort != client.myPort) return false;
        if (myAddress != null ? !myAddress.equals(client.myAddress) : client.myAddress != null) return false;

        return true;
    }
}
