import java.net.InetAddress;
import java.net.DatagramSocket;
import java.net.DatagramPacket;
import java.util.ArrayList;
import java.io.DataInputStream;
import java.io.ByteArrayInputStream;

/**
 * Created by IntelliJ IDEA.
 * User: mopar
 * Date: Jan 23, 2007
 * Time: 6:54:09 PM
 * To change this template use File | Settings | File Templates.
 */
public class ClientHandler extends Thread {

    private ArrayList<Client> clients = new ArrayList<Client>();
    private DatagramSocket recSock;

    public ClientHandler() {
        super("ClientHandler");
        try {
            recSock = new DatagramSocket(SpaceGameServer.SERVER_PORT);
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(0);
        }
    }

    public void run() {
        while (true) {
            try {
                byte[] bytes = new byte[256];
                DatagramPacket rePacket = new DatagramPacket(bytes,
                        bytes.length);
                recSock.receive(rePacket);
 //               System.out.println("Packet Recieved from: " + rePacket.getSocketAddress());
                Client clientCopy = new Client(rePacket.getAddress(), rePacket.getPort());
                clients.remove(clientCopy);
                for (Client client : clients)
                    recSock.send(client.getPacket(rePacket));
                clients.add(clientCopy);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }
}
